高木のブログ

【Gatsbyブログ】Google Analytics 4(GA4)にアップグレードした

2021/06/18

はやくGA4にしろとずっと警告が出ていたのでやっとアップグレードした
gatsby-plugin-google-analyticsはGA4に対応していないので、gatsby-plugin-google-gtagに変更した

手順

gatsby-plugin-google-gtag 追加

$ yarn add gatsby-plugin-google-gtag

gatsby-config.js 編集

gatsby-config.js
    {
-     resolve: `gatsby-plugin-google-analytics`,
-     options: {
-       trackingId: "UA-12345678-0",
-     },
+     resolve: 'gatsby-plugin-google-gtag',
+     options: {
+       trackingIds: ['G-ABCD123EFG'],
+       pluginConfig: {
+         head: true,
+       },
+     },
    },

GA4のトラッキングIDは「G-」から始まる

gatsby-plugin-google-analytics 削除

$ yarn remove gatsby-plugin-google-analytics

参考


Written by ytkg, Twitter, GitHub

Pixela